> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1voicetools



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/voice/tools
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/tools:
    get:
      tags:
        - AgentTools
      operationId: voice.tools.index
      responses:
        '200':
          description: Array of `AgentToolsResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AgentToolsResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
components:
  schemas:
    AgentToolsResource:
      type: object
      properties:
        id:
          type: string
        team_id:
          type: string
        meta:
          $ref: '#/components/schemas/AgentToolMetaData'
      required:
        - id
        - team_id
        - meta
      title: AgentToolsResource
    AgentToolMetaData:
      type: object
      properties:
        tool_type:
          type: string
          enum:
            - webhook
            - hangup_call
            - update_contact
            - update_call
            - unsubscribe
            - send_sms
        name:
          type: string
        description:
          type: string
        endpoint_url:
          type:
            - string
            - 'null'
        endpoint_method:
          type:
            - string
            - 'null'
          enum:
            - GET
            - POST
            - PUT
            - PATCH
            - DELETE
        parameters:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              name:
                type: string
              type:
                type: string
                enum:
                  - string
                  - number
                  - date
                  - boolean
                  - select
              description:
                type:
                  - string
                  - 'null'
              example:
                type: string
        source_addr:
          type:
            - string
            - 'null'
        mark_as_qualified:
          type: boolean
          default: false
      required:
        - tool_type
        - name
        - description
        - endpoint_url
        - endpoint_method
        - parameters
        - source_addr
        - mark_as_qualified
      title: AgentToolMetaData
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````